### Hierarchy

- LoginForm

## Index

### Properties

- data
- definitions
- forgotPasswordLabel
- forgotPasswordUrl
- formSubmit
- host
- language
- submitError
- submitLabel
- translate
- type

### Methods

- alterForm
- componentDidLoad
- componentDidUnload
- componentWillLoad
- loginHandler
- render

## Properties

### data

data: any

- Defined in login-form/login-form.tsx:19

### definitions

definitions: any

- Defined in login-form/login-form.tsx:20

### forgotPasswordLabel

forgotPasswordLabel: string = "PASSWORD FORGOTTEN?"

- Defined in login-form/login-form.tsx:12

### forgotPasswordUrl

forgotPasswordUrl: string

- Defined in login-form/login-form.tsx:15

### formSubmit

formSubmit: EventEmitter

- Defined in login-form/login-form.tsx:17

### host

host: HTMLElement

- Defined in login-form/login-form.tsx:10

### language

language: string = "en"

- Defined in login-form/login-form.tsx:13

### submitError

submitError: string

- Defined in login-form/login-form.tsx:16

### submitLabel

submitLabel: string = "LOGIN"

- Defined in login-form/login-form.tsx:11

### translate

translate: TranslateService = TranslateService.instance

- Defined in login-form/login-form.tsx:21

### type

type: string = "name-password"

- Defined in login-form/login-form.tsx:14

## Methods

### alterForm

- alterForm(type: string): void

- - Defined in login-form/login-form.tsx:43

  #### Parameters

  - ##### type: string

  #### Returns void

### componentDidLoad

- componentDidLoad(): void

- - Defined in login-form/login-form.tsx:28

  #### Returns void

### componentDidUnload

- componentDidUnload(): void

- - Defined in login-form/login-form.tsx:34

  #### Returns void

### componentWillLoad

- componentWillLoad(): void

- - Defined in login-form/login-form.tsx:23

  #### Returns void

### loginHandler

- loginHandler(event: CustomEvent): void

- - Defined in login-form/login-form.tsx:38

  #### Parameters

  - ##### event: CustomEvent

  #### Returns void

### render

- render(): any

- - Defined in login-form/login-form.tsx:55

  #### Returns any